<!DOCTYPE html>
<html>
<head>
	<title>cipher vigenere</title>


	<style type="text/css">
		
	</style>
</head>
<body>

<h1>cipher vigenere</h1>

<script>
/*	cle= "abc";
	message = "bonjour";*/

	//On va créer un modulo pour faire une boucle : la boucle a une longueur de 26

	//on va décaler une lettre
	function decaler (message, cle){
		var message1 = message.charCodeAt(0);

		cle = cle.charCodeAt(0) % 26; // on décale de 97 modulo 26.

		//on applique la fct decaler que si les charactères du message sont une lettre
		if (estUneLettre(message1)){
			message1 = message1 + cle; /*message1 = valeur de a (97) + valeur de r(114 modulo 26) soit 10*/

			if (!estUneLettre(message1)){
				message1 = message1 - 26;
			}
		}

		return String.fromCharCode(message1);
	}

	
	function estUneLettre(valeur) {
		return valeur >= 65 && valeur <= 90 // les maj
			|| valeur >= 97 && valeur <= 122; // les min

	}

	function encodeVig(message, cle) {
		var messageEncode = "";
		while (message.length > cle.length) {
			cle = cle + cle;
		}
		// cette boucle parcourt le message lettre par lettre
		for (var i = 0; i < message.length; i++) {
        messageEncode = messageEncode + decaler(message.charAt(i), cle[i]);
                
    }
		return messageEncode;
	}


/////////////////////CONSOLE//////////////////////////////////////////////////////////

</script>

</body>
</html>